Bug 978723 - Review Request: ghc-snap-server - A fast, iteratee-based, epoll-enabled web server for the Snap Framework
Review Request: ghc-snap-server - A fast, iteratee-based, epoll-enabled web s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 02:09 EDT by Jens Petersen
Modified: 2013-12-13 22:29 EST (History)
3 users (show)

See Also:
Fixed In Version: ghc-snap-server-0.9.3.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:29:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-06-27 02:09:35 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-snap-server.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-snap-server-0.9.3.3-1.fc18.src.rpm

Description:
Snap is a simple and fast web development framework and server written in
Haskell. For more information, you can visit the Snap project website at
<http://snapframework.com/>.

The Snap HTTP server is a high performance, epoll-enabled, iteratee-based web
server library written in Haskell. Together with the snap-core library upon
which it depends, it provides a clean and efficient Haskell programming
interface to the HTTP protocol.
Comment 1 Jens Petersen 2013-06-27 03:34:17 EDT
Fedora Account System Username: petersen

http://koji.fedoraproject.org/koji/taskinfo?taskID=5549499

Currently only builds in rawhide since it needs snap-core > 0.9.3
which I am pushing as updates to f19 and f18.

This is needed for example by hakyll in its preview server.
Comment 2 Jens Petersen 2013-09-17 01:19:34 EDT
Should build on F18+ for quite a while now.
Comment 4 Ricky Elrod 2013-11-18 01:03:26 EST
Taking this.
Comment 5 Ricky Elrod 2013-11-18 01:07:33 EST
Package APPROVED. Yay for Haskell web frameworks in Fedora!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-snap-server-devel. Does not provide -static:
  ghc-snap-server-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

(ok for haskell packages)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 911360 bytes in 40 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-snap-server-0.9.3.4-1.fc21.x86_64.rpm
          ghc-snap-server-devel-0.9.3.4-1.fc21.x86_64.rpm
          ghc-snap-server-0.9.3.4-1.fc21.src.rpm
ghc-snap-server.x86_64: W: spelling-error Summary(en_US) iteratee -> iterate, iterates, iterated
ghc-snap-server.x86_64: W: spelling-error Summary(en_US) epoll -> poll, e poll
ghc-snap-server.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-snap-server.x86_64: W: spelling-error %description -l en_US snapframework -> snap framework, snap-framework, framework
ghc-snap-server.x86_64: W: spelling-error %description -l en_US epoll -> poll, e poll
ghc-snap-server.x86_64: W: spelling-error %description -l en_US iteratee -> iterate, iterates, iterated
ghc-snap-server.src: W: spelling-error Summary(en_US) iteratee -> iterate, iterates, iterated
ghc-snap-server.src: W: spelling-error Summary(en_US) epoll -> poll, e poll
ghc-snap-server.src: W: spelling-error %description -l en_US http -> HTTP
ghc-snap-server.src: W: spelling-error %description -l en_US snapframework -> snap framework, snap-framework, framework
ghc-snap-server.src: W: spelling-error %description -l en_US epoll -> poll, e poll
ghc-snap-server.src: W: spelling-error %description -l en_US iteratee -> iterate, iterates, iterated
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-snap-server ghc-snap-server-devel
ghc-snap-server.x86_64: W: spelling-error Summary(en_US) iteratee -> iterate, iterates, iterated
ghc-snap-server.x86_64: W: spelling-error Summary(en_US) epoll -> poll, e poll
ghc-snap-server.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-snap-server.x86_64: W: spelling-error %description -l en_US snapframework -> snap framework, snap-framework, framework
ghc-snap-server.x86_64: W: spelling-error %description -l en_US epoll -> poll, e poll
ghc-snap-server.x86_64: W: spelling-error %description -l en_US iteratee -> iterate, iterates, iterated
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-snap-server (rpmlib, GLIBC filtered):
    ghc(MonadCatchIO-transformers-0.3.0.0-73725240321327bd9ff337d2a7304cf7)
    ghc(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc(attoparsec-enumerator-0.3.1-f4fb0a1831d18b63eb3a7ec37a0cda91)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(blaze-builder-enumerator-0.2.0.5-f74fee72f8b84d91962e5e4025680b57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(case-insensitive-1.0.0.1-8197cca28df7b64ce14358bcb2e8fb7b)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(enumerator-0.4.19-13fa8f89bd8effdb12c1bcec44c8658a)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc(snap-core-0.9.4.0-bf82a10290bfa6e9ab7a7ff67332a576)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc(unix-compat-0.4.1.1-b2a4e89ffc6e22f53003b8db23c7b345)
    libHSHUnit-1.2.5.2-ghc7.6.3.so()(64bit)
    libHSMonadCatchIO-transformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSattoparsec-0.10.4.0-ghc7.6.3.so()(64bit)
    libHSattoparsec-enumerator-0.3.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-enumerator-0.2.0.5-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScase-insensitive-1.0.0.1-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSenumerator-0.4.19-ghc7.6.3.so()(64bit)
    libHSextensible-exceptions-0.1.1.4-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSnetwork-2.4.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSprimitive-0.5.0.1-ghc7.6.3.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.6.3.so()(64bit)
    libHSregex-base-0.93.2-ghc7.6.3.so()(64bit)
    libHSregex-posix-0.95.2-ghc7.6.3.so()(64bit)
    libHSsnap-core-0.9.4.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSunix-compat-0.4.1.1-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libHSvector-0.10.0.1-ghc7.6.3.so()(64bit)
    libHSzlib-0.5.4.1-ghc7.6.3.so()(64bit)
    libHSzlib-bindings-0.1.1.3-ghc7.6.3.so()(64bit)
    libHSzlib-enum-0.2.3-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

ghc-snap-server-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(snap-server-0.9.3.4-870e3e469b5895742b46e08f48122782)
    ghc-compiler
    ghc-devel(MonadCatchIO-transformers-0.3.0.0-73725240321327bd9ff337d2a7304cf7)
    ghc-devel(attoparsec-0.10.4.0-d9fd97cfc1a1748b3cde35adf7fd233b)
    ghc-devel(attoparsec-enumerator-0.3.1-f4fb0a1831d18b63eb3a7ec37a0cda91)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc-devel(blaze-builder-enumerator-0.2.0.5-f74fee72f8b84d91962e5e4025680b57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(case-insensitive-1.0.0.1-8197cca28df7b64ce14358bcb2e8fb7b)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(enumerator-0.4.19-13fa8f89bd8effdb12c1bcec44c8658a)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(network-2.4.1.2-ceff6721a9d15c92aeb91b7ff1b8e52b)
    ghc-devel(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc-devel(snap-core-0.9.4.0-bf82a10290bfa6e9ab7a7ff67332a576)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc-devel(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    ghc-devel(unix-compat-0.4.1.1-b2a4e89ffc6e22f53003b8db23c7b345)
    ghc-snap-server(x86-64)



Provides
--------
ghc-snap-server:
    ghc(snap-server-0.9.3.4-870e3e469b5895742b46e08f48122782)
    ghc-snap-server
    ghc-snap-server(x86-64)
    libHSsnap-server-0.9.3.4-ghc7.6.3.so()(64bit)

ghc-snap-server-devel:
    ghc-devel(snap-server-0.9.3.4-870e3e469b5895742b46e08f48122782)
    ghc-snap-server-devel
    ghc-snap-server-devel(x86-64)
    ghc-snap-server-static



Unversioned so-files
--------------------
ghc-snap-server: /usr/lib64/ghc-7.6.3/snap-server-0.9.3.4/libHSsnap-server-0.9.3.4-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/snap-server/0.9.3.4/snap-server-0.9.3.4.tar.gz :
  CHECKSUM(SHA256) this package     : 08b96faade7472eb6f976861f064759c8de2c4e581da4cb4f50fb8cb8f7b2545
  CHECKSUM(SHA256) upstream package : 08b96faade7472eb6f976861f064759c8de2c4e581da4cb4f50fb8cb8f7b2545


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 978723 --no-build
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 6 Jens Petersen 2013-11-18 02:23:58 EST
(In reply to Ricky Elrod from comment #5)
> Package APPROVED. Yay for Haskell web frameworks in Fedora!

Awesome thanks!  Finally we can build hakyll with test-server support.


New Package SCM Request
=======================
Package Name: ghc-snap-server
Short Description: Fast, iteratee-based, epoll-enabled snap web server
Owners: petersen
Branches: f20 f19 f18 el6
InitialCC: haskell-sig
Comment 7 Gwyn Ciesla 2013-11-18 08:01:50 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-11-19 05:28:23 EST
ghc-snap-server-0.9.3.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-snap-server-0.9.3.4-1.fc18
Comment 9 Fedora Update System 2013-11-19 05:28:35 EST
ghc-snap-server-0.9.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-snap-server-0.9.3.4-1.fc19
Comment 10 Fedora Update System 2013-11-19 05:28:44 EST
ghc-snap-server-0.9.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-snap-server-0.9.3.4-1.fc20
Comment 11 Fedora Update System 2013-11-19 16:48:41 EST
ghc-snap-server-0.9.3.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 12 Fedora Update System 2013-12-01 04:29:03 EST
ghc-snap-server-0.9.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-12-01 04:31:40 EST
ghc-snap-server-0.9.3.4-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-12-13 22:29:09 EST
ghc-snap-server-0.9.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.